Vector Grid should handle manual extent when no extent layer is given

2012-07-27 12:59 PM - Mikhail Titov

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15451

Description

How to reproduce:

    1. Start QGIS with no project or layers

    2. Go to Vector→ Research Tools→ Vector grid

    3. set up extent manually and hit OK

You'll get

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis\\python\\plugins\\fTools\\tools\\doVectorGrid.py", line 146, in accept

    self.compute( boundBox, xSpace, ySpace, polygon )

  File "C:\\OSGeo4W\\apps\\qgis\\python\\plugins\\fTools\\tools\\doVectorGrid.py", line 156, in compute

    crs = ftools_utils.getMapLayerByName(unicode(self.inShape.currentText())).crs()

AttributeError: 'NoneType' object has no attribute 'crs'

Expected

Create layer with default projection. For some reason I'm not getting default one in the patch attached. More work is needed.

Associated revisions

Revision ad9cb9d1 - 2012-07-29 10:27 AM - Alexander Bruy

allow create grid without specifying base layer (fix #6109)

History

#1 - 2012-07-27 02:01 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

- Target version set to Version 2.0.0

- Assignee set to Alexander Bruy

- Category set to 44

#2 - 2012-07-29 01:39 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"ad9cb9d19440c8f95516f1bbeb10ddb03178d949".

#3 - 2012-07-29 01:39 AM - Alexander Bruy

- Resolution set to fixed
#4 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

doDefineProj_py.patch 1.12 KB 2012-07-27 Mikhail Titov
